error al auditar claves wifi, AP en un canal distinto al de mon0, en canal -1

Imagen de biznaka
0 puntos

Hola Buenas:

He actualizado mi ubuntu 10.10 a 11.04, y el problema que tenia de que al parecer los drivers instalados para mi chipset 4313 de mi tarjeta broadcom 802.11, estan solucionados completamente. Ahora si me detecta redes a la hora de hacer airodump nombre de la interfaz (mon0).

Pero hay un problema nuevo. una vez elegida la red WEP a descifrar, hacemos:

airodump-ng -c (canal de la red elegida) -w wep --bssid (la BSSID de la red) mon0

y se nos keda en la red de la victima, ahora quedaria inyectar paketes o algo asi, a dicha red para empezar a descifrar la key. Pongo la siguiente orden:

aireplay-ng -3 -b (BSSID de la red) -h (BSSID del cliente) mon0

y me sale un error en el que dice algo como que la AP esta en el 6 y mon0, mi interfaz en el canal -1

Como se corrige ese error?

Pego el error que me da:

17:54:58 Waiting for beacon frame (BSSID: 00:04:E2:F2:AC:24) on channel -1
17:54:58 mon0 is on channel -1, but the AP uses channel 6

En un pagina cuyo enlace es el siguiente, http://www.linuxblogger.com.ar/2011/01/aircrack-fixed-channel-mon0-1.html, he encontrado los siguientes comandos. Rogaria que alguien me diga si es buena solucion, la verdad es que metido los comandos, todo bien, he reiniciado y sigue todo igual. Copio los comandos:

sudo apt-get install linux-headers-$(uname -r)

wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-...

tar -jxf compat-wireless-2010-12-20.tar.bz2

cd compat-wireless-2010-12-20

wget http://patches.aircrack-ng.org/channel-negative-one-maxim.patch

sudo apt-get install patch

patch ./net/wireless/chan.c channel-negative-one-maxim.patch

make

sudo make install

sudo make unload

sudo reboot

Decir tambien que en el comando, que trae un enlace de donde descarga el archivo con extension tar.bz2: wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-..., en la parte donde la fecha 20 de octubre de 2010, la he sustituido por la fecha del ultimo ubuntu, el 28 de abril de 2011, es decir que el comando quedaria asi

wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-...

He imaginado que el parche a instalar deberia ser el de la ultima actualizacion. En fin a ver si alguien puede decirme algo. Saludos.

Saludos y gracias.